<?php
/**
 * Plugin Name: ویدئو پلیر
 * Description: پخش فایل های ویدیویی
 * Version: 0.2
 * Author: Amir Kheirabadi
 * Author URI: http://parsi-Learning.ir
 */


add_action( 'widgets_init', 'Video_Widget' );


function Video_Widget() {
	register_widget( 'Video_Widget' );
}

class Video_Widget extends WP_Widget {

	function Video_Widget() {
		$widget_ops = array( 'classvideo' => 'ویدئو پلیر', 'description' => 'نمایش فایل های ویدیویی ') ;
		
		
		
		$this->WP_Widget( 'Video-widget','ویدیو پلیر', $widget_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$video = $instance['video'];
		$des =$instance['des'];

		echo $before_widget;
  
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;
		
		//Display the video 
		if ($video)
		echo ' <div class="sidebar-widget">
					<iframe src='.$video.' width="100%" height="230"></iframe>
                            <p style="margin-top:10px;">'.$des.'</p>
        </div>';
			
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and video to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['video'] = strip_tags( $new_instance['video'] );
        $instance['des'] = strip_tags( $new_instance['des'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('', 'example'), 'video' => __('#', 'example'), 'des' => __('', 'example') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
<label for="<?php echo $this->get_field_id( 'title' ); ?>">
		
		<p>
			<?php _e('عنوان ابزارک:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		
		<p>
			<label for="<?php echo $this->get_field_id( 'video' ); ?>"><?php _e('لینک فایل ویدیویی:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'video' ); ?>" name="<?php echo $this->get_field_name( 'video' ); ?>" value="<?php echo $instance['video']; ?>" style="width:100%;" />
		</p>
        <p>
			<label for="<?php echo $this->get_field_id( 'des' ); ?>"><?php _e('متن زیر پلیر:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'des' ); ?>" name="<?php echo $this->get_field_name( 'des' ); ?>" value="<?php echo $instance['des']; ?>" style="width:100%;" />
		</p>
		

	<?php
	}
}

?>